package com.judong.chuanyiserver.service;

import com.judong.chuanyiserver.entity.Menu;
import com.judong.chuanyiserver.entity.Permission;
import com.judong.chuanyiserver.util.Result;

import java.util.List;

public interface MenuService {

    Result addMenu(Menu menu);

    Result updateMenu(Menu menu);

    Result getMenuListByPage(Integer page, Integer limit, String menuName, String menuUrl, Integer menuStatus);

    Result getMenuById(Integer id);

    Result deleteMenuById(Integer id);

    Result assignPermission(Integer menuId, List<Permission> permissionList);

    Result getPermissionByMenuId(Integer menuId);
}
